@keyframes slide-in-stay-out {
  /* Start off-screen (e.g., to the left) */
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  /* Slide in and reach final position partway through the total duration */
  10% {
    transform: translateY(0);
    opacity: 1;
  }
  /* Stay in position until just before the end of the total duration */
  90% {
    transform: translateY(0);
    opacity: 1;
  }
  /* Slide out (e.g., back to the left) and fade out */
  100% {
    transform: translateY(100%);
    opacity: 0;
  }
}

.animate-slide-in-and-out {
    animation-name: slide-in-stay-out;
    animation-duration: 5s; /* Total time for the whole sequence */
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

.htmx-request .htmx-during-request-display-none {
    display: none;
}

.htmx-request-indicator {
    display: none !important;
}

.htmx-request .htmx-request-indicator {
    display: inline !important;
}

.product-card figure img.inactive {
  display: none;
}